{% assign info = include.info %}
{% assign tags = include.tags %}
{% assign dependencies = include.dependencies %}
{% assign supported_languages = include.supported_languages %}

<span class="infoBlock">

  {% if info.creator %}
    {{ site.data.localisations.creator[page.lang] }}: {{info.creator}} <br/>
  {% endif %}

  {% if info.steamWorkshop %}
    {{ site.data.localisations.steamWorkshop[page.lang] }}: <a href="https://steamcommunity.com/sharedfiles/filedetails/?id={{info.steamWorkshop}}">
      {{info.steamWorkshop | escape}}
    </a>
    <br/>
  {% endif %}

  {% if info.website %}
    {{ site.data.localisations.website[page.lang] }}: <a href="{{info.website}}">
      {{info.website | escape}}
    </a>
    <br/>
  {% endif %}
  
  {% if info.gitRepo %}
    {{ site.data.localisations.gitRepo[page.lang] }}: <a href="{{info.gitRepo}}">
      {{info.gitRepo | escape}}
    </a>
    <br/>
  {% endif %}

  {% if info.discord %}
    {{ site.data.localisations.discord[page.lang] }}:<a href="{{info.discord}}">
      {{info.discord | escape}}
    </a>
    <br/>
  {% endif %}
  
  {% if info.qq %}
    {{ site.data.localisations.qq[page.lang] }}:
      {{info.qq}}
    </a>
    <br/>
  {% endif %}

  {% if dependencies %}
    {{ site.data.localisations.dependencies[page.lang] }}:
    <ul>
      {% for dep in dependencies %}
        {% assign entry = site.pages |
              where: 'lang', 'en' |
              where: 'content_id', dep | 
              first
        %}

        {% assign locale = entry.url | slice:0,4 %}
        {% assign unlocalised = entry.url %}

        {% for supportedLang in site.data.localisations.locales %}
            {% assign testString = '/' | append: supportedLang | append: '/' %}
            {% if testString == locale %}
                {% assign unlocalised = unlocalised | remove_first: locale %}
                {% break %}
            {% endif %}
        {% endfor %}

        {% assign sanitisedLang = page.lang %}
        {% if sanitisedLang == nil %}
            {% assign sanitisedLang = 'en' %}
        {% endif %}
        {% capture link %}{{site.baseurl}}/{{sanitisedLang}}/{{unlocalised}}
        {% endcapture %}

        <li> <a href="{{link}}">{{entry.title}}</a>
      {% endfor %}
    </ul>
  {% endif %}  
  
  {% if tags %}
    {{ site.data.localisations.tags[page.lang] }}:
    <ul>
      {% for tag in tags %}
        <li> {{ site.data.localisations[tag][page.lang] }}
      {% endfor %}
    </ul>
  {% endif %}  

  {% if info.playerCount %} 
    {{ site.data.localisations.playerCount[page.lang] }}: {{info.playerCount}}
    <br/>
  {% endif %}  

  {% if info.duration %}
    {{ site.data.localisations.duration[page.lang] }}: {{info.duration}}{{ site.data.localisations.duration-minutes[page.lang] }}
    <br/>
  {% endif %}  

  {% if supported_languages %}
    {{ site.data.localisations.supported_languages[page.lang] }}: 
    {% assign outArray = "" | split: "," %}
    {% for lang in supported_languages %}
      {% assign outArray = outArray | push: site.data.localisations.languages[lang] %}
    {% endfor %}
    {{ outArray | join: ", " }}
    <br/>
  {% endif %}  

</span>
